### Method

# Ide EditorPage get_file

#### Declaration

    GFile*
    ide_editor_page_get_file (
      IdeEditorPage* self
    )

#### Description

Gets the `GFile` that represents the current file. This may be a temporary file, but a `GFile` will still be used for the temporary file.

Available since: | 3.32

#### Return value

Returns: | `GFile`
| A `GFile` for the current buffer.
| The data is owned by the instance.